%define name pxelinux
%define tarname syslinux
%define version 3.11
%define subrel	1
%define release %mkrel 2
%define tftpbase /var/lib/tftpboot
%define pxebase %{tftpbase}/X86PC/linux

Summary:	A PXE bootloader
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Source0:	%{tarname}-%{version}.tar.bz2
Source1:	help.txt
Source2:	messages
Source3:	default
Patch1:		libpng-1.2.8-CVE-2006-3334.patch
Patch2:		libpng-1.2.12-CVE-2006-5793.patch
Url:		http://ftp.kernel.org/pub/linux/utils/boot/syslinux/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildRequires:	nasm >= 0.97, netpbm
ExclusiveArch:	%{ix86}
Requires:	tftp-server
Conflicts:	syslinux < 1.76-18mdk
Conflicts:	pxe < 1.4.2-8mdk

%description
PXELINUX is a PXE bootloader.

%package devel
Summary: Development environment for SYSLINUX add-on modules
Group: Development/Other

%description devel
The SYSLINUX boot loader contains an API, called COM32, for writing
sophisticated add-on modules.  This package contains the libraries
necessary to compile such modules.

%prep
%setup -q -n %{tarname}-%{version}
pushd com32/lib/libpng
%patch1 -p1 -b .cve-2006-3334
%patch2 -p1 -b .cve-2006-5793
popd

%build
make clean
make DATE="Mandriva_Linux"

make pxelinux.0 DATE="Mandriva_Linux"
make memdisk DATE="Mandriva_Linux"
make gethostip DATE="Mandriva_Linux"
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{pxebase}/pxelinux.cfg

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{pxebase}/
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT%{pxebase}/
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT%{pxebase}/pxelinux.cfg
perl -pi -e "s|VERSION|%version|g" $RPM_BUILD_ROOT%{pxebase}/messages
install -m 0644 pxelinux.0 $RPM_BUILD_ROOT%{pxebase}/linux.0
install -m 0755 gethostip $RPM_BUILD_ROOT%{_bindir}/gethostip
install -m 0644 memdisk/memdisk $RPM_BUILD_ROOT%{pxebase}/memdisk
install -m 0755 mkdiskimage $RPM_BUILD_ROOT%{_bindir}

make -C com32 install \
        INSTALLROOT=$RPM_BUILD_ROOT BINDIR=%{_bindir} SBINDIR=%{_sbindir} \
        LIBDIR=%{_libdir} INCDIR=%{_includedir}

mv $RPM_BUILD_ROOT/%_libdir/syslinux $RPM_BUILD_ROOT/%_libdir/pxelinux

%files devel
%defattr(-,root,root)
%{_libdir}/pxelinux/com32

%files
%defattr(-,root,root)
%doc COPYING NEWS README README.menu TODO
%doc pxelinux.doc
%{_bindir}/*
%{pxebase}/*.0
%{pxebase}/memdisk
%{_libdir}/pxelinux/*.c32
%dir %{_libdir}/pxelinux
%config(noreplace) %{pxebase}/messages
%config(noreplace) %{pxebase}/help.txt
%config(noreplace) %{pxebase}/pxelinux.cfg/default

%changelog
* Wed Nov 15 2006 Stew Benedict <sbenedict@mandriva.com> 3.11-1.1.20060mdk
- use %%mkrel
- P1: security fix for CVE-2006-3334 (embedded libpng)
- P2: security fix for CVE-2006-5793 (embedded libpng)

* Sun Sep 11 2005 Erwan Velu <velu@seanodes.com> 3.11-1mdk
- 3.11
- Protecting config files from being rewritten during updates
* Thu Aug 25 2005 Erwan Velu <velu@seanodes.com> 3.10-1mdk
- 3.10
- Integrating last minute patch for memdisk
* Mon Aug 22 2005 Pixel <pixel@mandriva.com> 3.09-3mdk
- explicit conflict with old syslinux & old pxe
- fix devel files being in both normal & devel packages

* Fri Jul 22 2005 Erwan Velu <velu@seanodes.com> 3.09-2mdk
- Adding config file (ouups)

* Fri Jul 22 2005 Erwan Velu <velu@seanodes.com> 3.09-1mdk
- pxelinux 3.09
- memdisk 3.09
- Moving pxelinux.0 & memtest to /var/lib/tftpboot/X86PC/linux
- Removing pxelinux-graphic
- Splitting syslinux
